> For the complete documentation index, see [llms.txt](https://docs.healthsherpa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.healthsherpa.com/on-exchange-api-documentation/api-reference/deeplinking-to-plan-quoting/parameters/tracking-parameters.md).

# Tracking Parameters

While not required by the API, we'll verify that you're passing source and referral data operationally before you can go live in prod.&#x20;

This is to ensure we're able to track your deeplink usage and agent traffic.&#x20;

| Parameter     | Description                                                                                                                                                                                                                  | Required |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| cid           | Optional parameter passed through that can help track the deeplink                                                                                                                                                           | Optional |
| utm\_source   | Used for point to point lead tracking, especially for leads that come through a marketing campaign like Google                                                                                                               | Optional |
| utm\_campaign | Used for point to point lead tracking, especially for leads that come through a marketing campaign like Google                                                                                                               | Optional |
| utm\_content  | Used to differentiate similar content or links within the same marketing campaign, helping to track the specific piece of content or ad that led to the conversion, such as an image, text link, or specific call-to-action. | Optional |
| utm\_medium   | Used to define the type of marketing channel or medium through which the lead or traffic came, such as email, social media, paid search, or display ads, to track the overall performance of different marketing channels.   | Optional |
| utm\_term     | Used for tracking specific keywords or search terms that led to a conversion, often used in paid search campaigns to identify which keyword triggered the ad and brought in the lead or traffic.                             | Optional |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.healthsherpa.com/on-exchange-api-documentation/api-reference/deeplinking-to-plan-quoting/parameters/tracking-parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
